karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From CLEMENT Jean-Philippe <jean-philippe.clem...@fr.thalesgroup.com>
Subject RE: Don't understand: missing requirement
Date Wed, 14 Dec 2016 17:30:18 GMT
Ah ok, well.. right, we did change exported service from com.y.SomeAPI to com.y.WonderSomeAPI
where WonderSomeAPI extends SomeAPI.

Cannot the system match WonderSomeAPI service requirement to SomeAPI? Is there a way to export
WonderSomeAPI as both itself and its parent API SomeAPI?

Regards,
JP

De : Guillaume Nodet [mailto:gnodet@apache.org]
Envoyé : mercredi 14 décembre 2016 18:27
À : user
Objet : Re: Don't understand: missing requirement

The bundle has a requirement on an OSGi service using the interface/class com.y.SomeAPI

2016-12-14 18:10 GMT+01:00 CLEMENT Jean-Philippe <jean-philippe.clement@fr.thalesgroup.com<mailto:jean-philippe.clement@fr.thalesgroup.com>>:
Hello,

We did a small change somewhere leading a Karaf freeze. Karaf (4.0.7) is assembled with our
features.

The log contains:
[caused by: Unable to resolve com.X/1.0.5.SNAPSHOT: missing requirement [com.X/1.0.5.SNAPSHOT]
osgi.service; effective:=active; filter:="(objectClass=com.y.SomeAPI)"]

I don't really catch - what does this message mean?

Thank you :)

Regards,
JP



--
------------------------
Guillaume Nodet
------------------------
Red Hat, Open Source Integration

Email: gnodet@redhat.com<mailto:gnodet@redhat.com>
Web: http://fusesource.com<http://fusesource.com/>
Blog: http://gnodet.blogspot.com/

Mime
View raw message